[Numpy-discussion] ANN: NumPy 1.5.0 beta 2

Charles R Harris charlesr.harris@gmail....
Tue Aug 17 14:08:05 CDT 2010


On Tue, Aug 17, 2010 at 11:27 AM, Michael Droettboom <mdroe@stsci.edu>wrote:

>  I'm getting one unit test error on SunOS 5.8 UltraSPARC 5, with  Sun
> WorkShop 6 update 2 C 5.3 Patch 111679-14 2004/02/20:
>
> ======================================================================
> ERROR: test_ldexp (test_umath.TestLdexp)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File
> "/home/mdroe/usr/lib/python2.5/site-packages/numpy/core/tests/test_umath.py",
> line 388, in test_ldexp
>     assert_almost_equal(ncu.ldexp(np.array(2., np.longdouble), np.array(3,
> np.int16)), 16.)
> TypeError: function not supported for these types, and can't coerce safely
> to supported types
>
> Any thoughts?
>
> Mike
>
>
Does it worki for other SunOS versions? Can you pin down a bit more which
types work and which not? I suspect that the longdouble may be a problem,
but that's just because quad precision is mostly a Sun (Oracle?) thing.

<snip>

Chuck

>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100817/2b9a5277/attachment.html 


More information about the NumPy-Discussion mailing list